<!DOCTYPE html>
<html lang="fr">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Graffiti</title>
		<link rel="icon" href="ressources/logo.png">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB" crossorigin="anonymous">
		<link href="css/style.css" rel="stylesheet">
  </head>
  <body>
    <div class="row">
      <!-- profile -->
      <div class="col-sm-12">
          <input type='button' class='btn btn-secondary' onclick=RedirectAdmin() value='Retour page admin'>
          <h1>Liste des clients</h1>
          <div class="row">
          </div>
          <section id="info_profile" style="display: inline-block; text-align: left"></section>
          <h3>Clients bannis</h3>
          <div class="row">
          </div>
          <section id="info_profile_ban" style="display: inline-block; text-align: left"></section>

      </div>


    </div>

    <footer id="footer">
      <p>&copy; NLPF 2018 - Application gestion des graffitis</p>
    </footer>

    <script src="http://code.jquery.com/jquery-1.10.1.min.js"></script>
    <script src="/socket.io/socket.io.js"></script>
    <script>
      var ip = "localhost";
      var port = 8080;

      var socket = io.connect('http://' + ip + ':' + port);

      socket.emit('info_profile');
      socket.on('info_profile', function(message)
      {
        $('#info_profile').append(
        '<p><strong>Email</strong> : ' + message.email + '<strong> Prénom</strong> : ' + message.first_name + '<strong> Nom</strong> : ' + message.last_name + '<input type=\'button\' onclick=BanProfile("' + message.email + '") value=\'Ban client\'></p>');
      });
      socket.emit('info_profile_ban');
      socket.on('info_profile_ban', function(message)
      {
        $('#info_profile_ban').append(
        '<p><strong>Email</strong> : ' + message.email + '<strong> Prénom</strong> : ' + message.first_name + '<strong> Nom</strong> : ' + message.last_name + '<input type=\'button\' onclick=DeBanProfile("' + message.email + '") value=\'Deban client\'></p>');
      });

      function BanProfile(email){
        console.log("In BanProfile");
        socket.emit('ban_profile', email);
        window.location.href = "http://localhost:8080/client";
        return false;
      }
      function DeBanProfile(email){
        console.log("In BanProfile");
        socket.emit('deban_profile', email);
        window.location.href = "http://localhost:8080/client";
        return false;
      }
      function RedirectAdmin()
      {
        window.location.href = "http://localhost:8080/admin";
        return false;
      }

    </script>
  </body>
</html>
